# XQilla Simple API Documentation

# xercesc::LocalFileFormatTarget Class Reference

`#include <LocalFileFormatTarget.hpp>`

Inheritance diagram for xercesc::LocalFileFormatTarget:
[legend]

List of all members.

## Public Member Functions

virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)
virtual void | flush ()
constructors and destructor
| LocalFileFormatTarget (const XMLCh *const , MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| LocalFileFormatTarget (const char *const , MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~LocalFileFormatTarget ()

## Constructor & Destructor Documentation

xercesc::LocalFileFormatTarget::LocalFileFormatTarget | ( | const XMLCh * | const,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

xercesc::LocalFileFormatTarget::LocalFileFormatTarget | ( | const char * | const,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

xercesc::LocalFileFormatTarget::~LocalFileFormatTarget | ( |  | ) |

## Member Function Documentation

virtual void xercesc::LocalFileFormatTarget::flush | ( |  | ) | `[virtual]`

Reimplemented from xercesc::XMLFormatTarget.

virtual void xercesc::LocalFileFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter |
| ) |  |  | `[virtual]`

Implements xercesc::XMLFormatTarget.

The documentation for this class was generated from the following file:

- LocalFileFormatTarget.hpp